CDEBOOTSTRAP(1)

NAME
cdebootstrap - Bootstrap a Debian system

SYNOPSIS
cdebootstrap [OPTION]... [ORIGIN/]CODENAME TARGET [MIRROR]

DESCRIPTION
cdebootstrap builds a basic Debian system of CODENAME (e.g. jessie, stretch, sid) from ORIGIN (e.g Debian, Ubuntu) into TARGET using the source specified in MIRROR. It supports http://, ftp://, file:// and ssh:// URL and defaults to http://ftp.debian.org/debian. The ssh:// scheme uses cat on the remote host to access the files. You have to setup a master connection and configure ssh to use it or use a key for authentication. No user interaction is possible. The complete log is saved as /var/log/bootstrap.log in the new system.

Mandatory arguments to long options are mandatory for short options too.

--allow-unauthenticated
    Ignore if packages can't be authenticated. This ignores the unavailability of Release.gpg, missing keyrings, broken signatures and missing gpgv executable.

-a, --arch=ARCH
    Set the target architecture.

-c, --configdir=CONFIGDIR
    Set the config directory.

--debug
    Enable debug output.

-d, --download-only
    Download packages, but don't perform installation.

--exclude=A,B,C
    Drop packages from the installation list. This only works if the package is pulled in explicitely, either via priority or explicit definition in the config. It won't exclude packages which are pulled in via dependencies.

--foreign
    Enable support for non-native arch (needs qemu-user-static).

-f, --flavour=FLAVOUR
    Select the flavour to use (see FLAVOURS below).

-k, --keyring=KEYRING
    Use given keyring. Relative filename are looked up in /usr/local/share/keyrings, /usr/share/keyrings and CONFIGDIR.

-H, --helperdir=DIR
    Set the helper directory.

--include=A,B,C
    Install extra packages.

-q, --quiet
    Be quiet. Only warnings and errors are shown.

--suite-config

-v, --verbose
    Be verbose. All command output is shown.

-h, --help
    Display this help and exit.

--version
    Output version information and exit.

FLAVOURS
Flavours available with default configuration:

build
    Installs essential, apt and build-essential. Suitable for sbuild and pbuilder usage. All rc.d operations are disabled by a policy-rc.d script (cdebootstrap-helper-rc.d package).

minimal
    Installs essential and apt. All rc.d operations are disabled by a policy-rc.d script (cdebootstrap-helper-rc.d package).

standard
    Installs required and important priority packages. This is the default flavour.